# Resource_NoSuchResource.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Resource_NoSuchResource.hxx>`
`#include <Standard_SStream.hxx>`
`#include <Standard_NoSuchObject.hxx>`

## Defines

#define | Resource_NoSuchResource_Raise_if(CONDITION, MESSAGE) if (CONDITION) Resource_NoSuchResource::Raise(MESSAGE);

## Define Documentation

#define Resource_NoSuchResource_Raise_if | ( | CONDITION,
|  | MESSAGE |  | ) | if (CONDITION) Resource_NoSuchResource::Raise(MESSAGE);